<?php

// ----------------------------------------------------- //
// Loudblog                                              //
// easy-to-use audioblogging and podcasting              //
// Version 0.4 (2005-11-07)                              // 
// http://loudblog.de                                    //
//                                                       //
// Written by Gerrit van Aaken (gerrit@praegnanz.de)     //
//                                                       //
// Released under the Gnu General Public License         //
// http://www.gnu.org/copyleft/gpl.html                  //
//                                                       //
// Have Fun! Drop me a line if you like Loudblog!        //
// ----------------------------------------------------- //

//--------------------------------------------------------------------
//  GOOGLEMAP TAGS
//-------------------------------------------------------------------- 

//-------------------------------------
function googlemapkeygz ($content) {
//devuelve la clave de googlemaps
	return googlemapkey ();
}
//--------------------------------------------------------------------
//  XML TAGS
//-------------------------------------------------------------------- 
//----LEER BD Y ESCRIBIR XML-----------
//-------------------------------------
function read_write($condiciones, $limit, $xml) {
	global $settings;
	//Buscamos los comentarios que cumplen las condiciones limitando el numero de resultados a un total de 200 (probablemente tambien sera necesario que esten ordenados empezando por el mas reciente)
    $dosql = "SELECT * FROM ".$GLOBALS['prefix']."lb_comments
              WHERE ".$condiciones."
              LIMIT 0 , ".$limit;
    $result = $GLOBALS['lbdata']->GetArray($dosql);
    $rowcount = count($result);
		
    //Almacenamos los datos de la BD en un documento xml
    // si logramos crear un documento para escribir en el 
	if ($documento = fopen($xml, "w")){
		//comenzamos a almacenar el contenido del documento html en la variable texto
		// Cabecera
		$texto = "<markers>\n";
		//convertimos en Markers los comentarios seleccionados de la BD
		for ($i=0; $i<$rowcount; $i++) {
			//almacenamos los datos le la tabla comentarios en variables para poder utilizarlos en el documento XML
			$autor = $result[$i]['name'];
			$web = $result[$i]['web'];
			$webName = substr($web, 7);
			$lat = $result[$i]['latitud'];
			$long = $result[$i]['longitud'];
			$mensaje = $result[$i]['message_input'];
			$hora = $result[$i]['hora_rec'];
			$data = $result[$i]['data_rec'];
			$swf = $result[$i]['audio_file'];
			$categoria = $result[$i]['idcategoria'];
			$texto .= "<marker lat=\"".$lat."\" lng=\"".$long."\" categoria=\"".$categoria."\" arquivo=\"".$settings['url']."audio/".$swf."\">\n";
			//escribimos el contenido de la ventana como CDATA
			$texto .= "<![CDATA[\n";
			//divisor en el que colocar la referencia al estilo que formateara el texto!!!!!!!!!!!!!!
			$texto .= "<div style='width:200px'>\n";
			//capa en la que situar el flashplayer
			$texto .= "<div id=\"player\" style=\"margin-bottom: 5px;\"></div>\n";		
			//contenido del comentario
			$texto .= "<span class=\"windowText\">".$mensaje."</span><br>\n";
			$texto .= "<b class=\"windowBlack\">".$autor."</b>&nbsp;&nbsp;&nbsp;";
			if (strlen($webName)>4) {
				$texto .= "<a class=\"window\" target=\"_blank\" href=\"".$web."\">".$webName."</a><br>\n";
			}
			$texto .= "<span class=\"windowRight\"><b>as ".$hora." do ".$data."</b></span><br>\n";
			$texto .= "</div>\n";
			$texto .= "]]>\n";
			$texto .= "</marker>\n";
		}
		$texto = $texto."</markers>\n";
		//escribimos en el documento el contenido de la variable texto
		fwrite($documento, $texto);
	}
	// cerramos el documento
	fclose($documento);
}
//--------------------------------------------------------------------
//  FORM TAGS
//-------------------------------------------------------------------- 
//-----FORMULARIO BUSCASONS------------
//-------------------------------------
function area_buscasons($content) {
	//Si el campo oculto buscasonsSubmit esta establecido, entonces estamos enviando datos y debemos escribir el documento xml que contendra el resultado de la busqueda
	if (isset($_POST['buscasonsSubmit'])) {
	
		//establecemos las condiciones de la seleccion en la BD
		
		//Si esta establecido que provincia buscamos solo las entradas de la BD que con la misma idprovincia
		$condiciones = "";
		if ((isset($_POST['provincias'])) AND ($_POST['provincias'] != 0)){
			$condiciones .= "idprovincia = '".$_POST['provincias']."'";
		//Si no cualquiera cuya idprovincia sea distinto de 0
		} else {
			$condiciones .= "idprovincia != '0'";
		}
		
		//Si esta establecido que comarca buscamos solo las entradas de la BD que con la misma idcomarca
		if ((isset($_POST['comarcas'])) AND ($_POST['comarcas'] != 0)){
			$condiciones .= " AND idcomarca = '".$_POST['comarcas']."' ";
		}
		
		//Si esta establecido que categoria buscamos solo las entradas de la BD que con la misma idcategoria
		if ((isset($_POST['categorias'])) AND ($_POST['categorias'] != 0)){
			$condiciones .= " AND idcategoria = '".$_POST['categorias']."' ";
		}
		
		//Si esta establecida unha clave de busqueda y su longitud es mayor que 0, buscamos solo las entradas de la BD que tengan esa clave en message_input
		if ((isset($_POST['claveBusqueda'])) AND (strlen($_POST['categorias']) != 0)){
			$condiciones .= " AND message_input LIKE '%".$_POST['claveBusqueda']."%'";			
		}
		
		$condiciones .= " AND validado = '2'";
		
    	//Almacenamos los datos de la BD en un documento xml
    	read_write($condiciones, "100", "sonsGZ.xml");
    }
    $return = "<form name=\"estatico\" method=\"post\" action=\"index.php?cat=Arquivosonoro\" enctype=\"multipart/form-data\">\n";
    $return .= fullparse (stripcontainer($content));
    $return .= "</form>\n";
	return $return;
}
//-----GOOGLEMAP-----------------------
//-------------------------------------
function sound_map($content) {
	//recojemos los atributos de la etiqueta, si estan definidos se los pasamos a sus correspondientes variables si no tomamos valores por defecto
	//ancho, alto, lat, long, zoom, clase, xml (buscasons)
	$att = getattributes($content);
	
	//ATRIBUTODS DE LA ETIQUETA-------------------
	if (!isset($att['ancho'])) {
        $ancho = 550;
    } else {
        $ancho = $att['ancho'];
    }
    if (!isset($att['alto'])) {
        $alto = 450;
    } else {
        $alto = $att['alto'];
    }
    //almacenamos en una variable la etiqueta html apropiada
    $mapDiv = "<div id=\"map\" style=\"width: ".$ancho."px; height: ".$alto."px\"></div>\n";
    
    //ATRIBUTODS DEL GOOHGLEMAP-------------------
    if (!isset($att['lat'])) {
        $lat = -8.72687816619873;
    } else {
        $lat = $att['lat'];
    }
    if (!isset($att['long'])) {
        $long = 42.23302960453305;
    } else {
        $long = $att['long'];
    }
	if (!isset($att['zoom'])) {
        $zoom = 8;
    } else {
        $zoom = $att['zoom'];
    }
	if (!isset($att['clase'])) {
        $clase = "G_MAP_TYPE";
    } else {
    	if ($att['clase'] == "g_hybrid_type") {
        	$clase = "G_HYBRID_TYPE";
    	} elseif ($att['clase'] == "g_satellite_type") {
        	$clase = "G_SATELLITE_TYPE";
    	} else {
        	$clase = "G_MAP_TYPE";
    	}
    }
    //almacenamos en una variable el fragmento de script que genera el mapa
    $map = "// create the map
      var map = new GMap(document.getElementById(\"map\"));
      map.addControl(new GLargeMapControl());
      map.addControl(new GMapTypeControl());
      map.centerAndZoom(new GPoint(".$lat.",".$long."), ".$zoom.");
      map.setMapType(".$clase.");";
      
    //DOCUMENTO DEL QUE SE RECOJEN LOS DATOS------
    if (!isset($att['xml'])) {
        //mapa sin marcadores
        $readData = "";
    } else {
    	if ($att['xml']=="buscasons") {
    		//cuando el atributo xml es buscasons entonces el mapa recoge o bien sonsGZ.xml si ya se ha buscado o ultimosSons.xml si todavia no se ha buscado
			if (isset($_POST['buscasonsSubmit'])) {
				//Si buscasonsSubmit esta establecido, entonces ya se ha actualizado el documento xml que contiene el resultado de la busqueda, recojemos los datos de sonsGZ.xml
				$xml = "sonsGZ.xml";
			} else {
				// si no se han enviado todavia los datos del formulario de busqueda mostramos los ultimos comentarios subidos
				$xml = "ultimosSons.xml";
			}
    	} else {
        	$xml = $att['xml'];
    	}
    	//almacenamos en una variable el fragmento de script que hace la lectura de los datos
    	$readData ="// Read the data from example.xml
      var request = GXmlHttp.create();
      request.open(\"GET\", \"".$xml."\", true);
      request.onreadystatechange = function() {
        if (request.readyState == 4) {
          var xmlDoc = request.responseXML;
          // obtain the array of markers and loop through it
          var markers = xmlDoc.documentElement.getElementsByTagName(\"marker\");
          
          for (var i = 0; i < markers.length; i++) {
            // obtain the attribues of each marker
            var lat = parseFloat(markers[i].getAttribute(\"lat\"));
            var lng = parseFloat(markers[i].getAttribute(\"lng\"));
            var cat = parseFloat(markers[i].getAttribute(\"categoria\"));
            var son = markers[i].getAttribute(\"arquivo\");
            
            // recojemos el texto de la ventana de la etiqueta description, que es el primer hijo de la etiqueta marker
			var html= markers[i].childNodes[1].nodeValue;
			//asignamos el icono que le corresponde a su categoria
            var icono_categoria = conxunto_iconos[cat];
            		
            var point = new GPoint(lat,lng);
            		
            // create the marker
            var marker = createMarker(point, html, icono_categoria, son);
            map.addOverlay(marker);
          }
        }
      };
      request.send(null);";
    }
    //finalmente devolvemos la etiqueta y el script completo que genera el mapa
	$mapScript = $mapDiv."<script type=\"text/javascript\">
    //<![CDATA[
    if (GBrowserIsCompatible()) {
      // Creamos los icomos como elementos de un Array
	  var conxunto_iconos = new Array();
	  for (var i = 0; i < 6; i++) {
		conxunto_iconos[i] = new GIcon();
		conxunto_iconos[i].image = \"loudblog/custom/templates/default/icono\" + i + \".png\";
		conxunto_iconos[i].shadow = \"loudblog/custom/templates/default/shadow.png\";
		conxunto_iconos[i].iconSize = new GSize(12, 20);
		conxunto_iconos[i].shadowSize = new GSize(22, 20);
		conxunto_iconos[i].iconAnchor = new GPoint(6, 20);
		conxunto_iconos[i].infoWindowAnchor = new GPoint(5, 1);
	  }
	  ".$map."
	  ".$readData."
    } else {
      alert(\"Sorry, the Google Maps API is not compatible with this browser\");
    }
    //]]>
    </script>";
    return $mapScript;
}
//-----CLAVE BUSQUEDAS-----------------
//-------------------------------------
function inputclave($content) {
	$return = "<input type=\"text\" name=\"claveBusqueda\" id=\"claveBusqueda\" value=\"\">";
	return $return;
}
//-----BOTON BUSQUEDAS-----------------
//-------------------------------------
function buttonmap($content) {
	$return = "<input type=\"hidden\" name=\"buscasonsSubmit\" id=\"buscasonsSubmit\" value=\"true\" >\n";
	$return .= "<input type=\"submit\" value=\"".bla("but_validar")."\" />\n";
	return $return;
}
//-----COORDENADAS---------------------
//-------------------------------------
//devuelve la entrada del campo latitud
function inputlat ($content) {
	//recojemos los atributos de la funcion
	$att = getattributes($content);
	if (isset($_POST['lat'])) {
    	$value = trim(stripslashes($_POST['lat']));
    	$devuelve = " post ";
	} else if (isset($att['selecionado'])) {
		$value = $att['selecionado'];
	} else { 
		$value = "";
	}
	return "<input type=\"text\" name=\"lat\" id=\"lat\" value=\"".$value."\" />";
}
//-------------------------------------
//devuelve la entrada del campo longitud
function inputlong ($content) {
	//recojemos los atributos de la funcion
	$att = getattributes($content);
	if (isset($_POST['long'])) {
    	$value = trim(stripslashes($_POST['long'])); 
	} else if (isset($att['selecionado'])) {
		$value = $att['selecionado'];
	} else { 
		$value = "";
	}
	return "<input type=\"text\" name=\"long\" id=\"long\" value=\"".$value."\" />";
}
//-----HORA----------------------------
//-------------------------------------
//devuelve la entrada del menu de seleccion horas
function selecthour ($content) {
	//recojemos los atributos de la funcion
	$att = getattributes($content);
	//abrimos el menu de seleccion
	$menuHtml = "<select name=\"horas\" id=\"horas\"><option value=\"\">&nbsp;--</option>";
	for ($i=0; $i<24; $i++) {
		//abrimos el elemento opcion
		$menuHtml .= "<option ";
	  	//esto sirve para anhadir un cero delante del valor i y tener horas de tipo 00, 01, 02...
	  	$estaHora = "".$i;
		if (strlen($estaHora) == 1) {
			$estaHora = "0".$estaHora;
		}
		//si esta definida la hora y coincide con la actual la marcamos como seleccionada
      	if ( (isset($_POST['horas'])) && ($_POST['horas'] == $estaHora) ) {
      		$menuHtml .= "selected=\"selected\""; 
	  	} elseif ( (isset($att['selecionado'])) && ($att['selecionado'] == $estaHora) ) {
      		$menuHtml .= "selected=\"selected\""; 
	  	}
		//anhadimos el valor de la hora en value y text y cerramos el elemento opcion
	  	$menuHtml .= "value=\"".$estaHora."\">&nbsp;".$estaHora."&nbsp;&nbsp;</option>";
	}
	//cerramos el menu de seleccion
	$menuHtml .= "</select>";
	return $menuHtml;
}
//-------------------------------------
//devuelve la entrada del menu de seleccion cuartos de hora
function selectcuarter ($content) {
	//recojemos los atributos de la funcion
	$att = getattributes($content);
	//abrimos el menu de seleccion
	$menuHtml = "<select name=\"cuartos\" id=\"cuartos\"><option value=\"\">&nbsp;--</option>";
	//establecemos las opciones (cuartos) que contendra en menu de seleccion
	$arrayCuartos = array ("--", "00", "15", "30", "45");
	for ($i=1; $i<5; $i++) {
		//abrimos el elemento opcion
		$menuHtml .= "<option ";
	  	//si esta definido el cuarto y coincide con el actual la marcamos como seleccionada
      	if ( (isset($_POST['cuartos'])) && ($_POST['cuartos'] == $arrayCuartos[$i]) ) {
      		$menuHtml .= "selected=\"selected\""; 
	  	} elseif ( (isset($att['selecionado'])) && ($att['selecionado'] == $arrayCuartos[$i]) ) {
      		$menuHtml .= "selected=\"selected\""; 
	  	}
	  	//anhadimos el valor del mes en value y text y cerramos el elemento opcion
	  	$menuHtml .= "value=\"".$arrayCuartos[$i]."\">&nbsp;".$arrayCuartos[$i]."&nbsp;&nbsp;</option>";
	 }
	//cerramos el menu de seleccion
	$menuHtml .= "</select>";
	return $menuHtml;
}
//-----FECHA---------------------------
//-------------------------------------
//devuelve la entrada del menu de seleccion meses
function selectmonth ($content) {
	//recojemos los atributos de la funcion
	$att = getattributes($content);
	//abrimos el menu de seleccion
	$menuHtml = "<select name=\"meses\" id=\"meses\" onchange=\"cambiaMes()\"><option value=\"\">&nbsp;--</option>";
	//establecemos las opciones (meses) que contendra en menu de seleccion
	$arrayMeses = array ("--", "Xaneiro", "Febreiro", "Marzo", "Abril", "Maio", "Xu&ntilde;o", "Xullo", "Agosto", "Setembro", "Outubro", "Novembro", "Decembro");
	for ($i=1; $i<13; $i++) {
		//abrimos el elemento opcion
		$menuHtml .= "<option "; 
	  	//si esta definido el mes y coincide con el actual la marcamos como seleccionada
      	if ( (isset($_POST['meses'])) && ($_POST['meses'] == $i) ) {
      		$menuHtml .= "selected=\"selected\""; 
	  	} elseif ( (isset($att['selecionado'])) && ($att['selecionado'] == $i) ) {
      		$menuHtml .= "selected=\"selected\""; 
	  	}
	  	//anhadimos el valor del mes en value y text y cerramos el elemento opcion
	  	$menuHtml .= "value=\"".$i."\">&nbsp;".$arrayMeses[$i]."&nbsp;</option>";
	}
	//cerramos el menu de seleccion
	$menuHtml .= "</select>";
	return $menuHtml;
}
//-------------------------------------
//devuelve la entrada del menu de seleccion dias
function selectday ($content) {
	//recojemos los atributos de la funcion
	$att = getattributes($content);
	//abrimos el menu de seleccion
	$menuHtml = "<select name=\"dias\" id=\"dias\"><option value=\"\">&nbsp;--</option>";
	for ($i=1; $i<32; $i++) {
		//abrimos el elemento opcion
		$menuHtml .= "<option ";
	  	//esto sirve para anhadir un cero delante del valor i y tener horas de tipo 00, 01, 02...
	  	$esteDia = "".$i;
		if (strlen($esteDia) == 1) {
			$esteDia = "0".$esteDia;
		}
		//si esta definidao el dia y coincide con el actual lo marcamos como seleccionada
      	if ( (isset($_POST['dias'])) && ($_POST['dias'] == $esteDia) ) {
      		$menuHtml .= "selected=\"selected\""; 
	  	} elseif ( (isset($att['selecionado'])) && ($att['selecionado'] == $esteDia) ) {
      		$menuHtml .= "selected=\"selected\""; 
	  	}
		//anhadimos el valor del dia en value y text y cerramos el elemento opcion
	  	$menuHtml .= "value=\"".$esteDia."\">&nbsp;".$esteDia."&nbsp;&nbsp;</option>";
	}
	//cerramos el menu de seleccion
	$menuHtml .= "</select>";
	return $menuHtml;
}
//-------------------------------------
//devuelve la entrada del menu de seleccion anhos
function selectyear ($content) {
	//recojemos los atributos de la funcion
	$att = getattributes($content);
	//abrimos el menu de seleccion
	$menuHtml = "<select name=\"anhos\" id=\"anhos\" onchange=\"cambiaMes()\">";
	for ($i=0; $i<106; $i++) {
		//abrimos el elemento opcion
		$menuHtml .= "<option ";
	  	$esteAnho = 2006 - $i;
		//si esta definido el anho y coincide con el actual lo marcamos como seleccionada
      	if ( (isset($_POST['anhos'])) && ($_POST['anhos'] == $esteAnho) ) {
      		$menuHtml .= "selected=\"selected\""; 
	  	} elseif ( (isset($att['selecionado'])) && ($att['selecionado'] == $esteAnho) ) {
      		$menuHtml .= "selected=\"selected\""; 
	  	}
		//anhadimos el valor del anho en value y text y cerramos el elemento opcion
	  	$menuHtml .= "value=\"".$esteAnho."\">&nbsp;".$esteAnho."&nbsp;&nbsp;&nbsp;</option>";
	}
	//cerramos el menu de seleccion
	$menuHtml .= "</select>";
	return $menuHtml;
}
//-----PROVINCIAS----------------------
//-------------------------------------
function select_provincia ($content) {

	//recojemos los atributos de la funcion
	$att = getattributes($content);
	
	if (isset($att['texto'])) {
        $texto = $att['texto'];
    } else {
        $texto = "--";
    }
	//abrimos el menu de seleccion
	$menuHtml = "<select name=\"provincias\" id=\"provincias\" onchange=\"cambiaProvincia()\">";
	//establecemos las opciones (provincias) que contendra en menu de seleccion
	$arrayProvincias = array ($texto, "A Coru&ntilde;a", "Pontevedra", "Lugo", "Ourense");
	//recojemos la provincia correcta de los datos tomados de la base de datos
	for ($i=0; $i<5; $i++) {
		//abrimos el elemento opcion
		$menuHtml .= "<option ";
		//si esta definido el identificador y coincide con la opcion actual, la marcamos como seleccionada
		if ( (isset($_POST['provincias'])) && ($_POST['provincias'] == $i) ) {
      		$menuHtml .= "selected=\"selected\""; 
	  	} elseif ( (isset($att['selecionado'])) && ($att['selecionado'] == $i) ) {
      		$menuHtml .= "selected=\"selected\""; 
	  	}
		//anhadimos el identificador en value y la provincia en text y cerramos el elemento opcion
		$menuHtml .= "value=\"".$i."\">&nbsp;".$arrayProvincias[$i]."&nbsp;&nbsp;</option>";
	}
	//cerramos el menu de seleccion
	$menuHtml .= "</select>";
	return $menuHtml;
}
//-----COMARCAS------------------------
//-------------------------------------
function select_comaraca ($content) {
	
	$provincia = 0;
	$comarca = 0;
	
	//recojemos los atributos de la funcion
	$att = getattributes($content);
	
	if (isset($att['texto'])) {
        $texto = $att['texto']."&nbsp;&nbsp;";
    } else {
        $texto = "--";
    }
	//abrimos el menu de seleccion
	$menuHtml = "<select name=\"comarcas\" id=\"comarcas\"><option value=\"0\">&nbsp;".$texto."</option>";
	//leemos el identificador de comarca que le corresponde en los datos recojidos de la base de datos
	
	if ( (isset($_POST['provincias'])) && ($_POST['provincias'] != 0) ) {
		$provincia = $_POST['provincias'];
	} elseif ( (isset($att['selecionado'])) && ($att['selecionado'] != 0) ) {
		$provincia = $att['selecionado'];
	}
	if ( (isset($_POST['comarcas'])) && ($_POST['comarcas'] != 0) ) {
		$comarca = $_POST['comarcas'];
	} elseif ( (isset($att['selecionado2'])) && ($att['selecionado2'] != 0) ) {
		$comarca = $att['selecionado2'];
	}
	if ($provincia != 0) {
		switch ($provincia) {
			case 1:
				$arrayComarcas = array("--", "A Barbanza", "A Barcala", "A Coru&ntilde;a", "Arz&uacute;a", "Berganti&ntilde;os", "Betanzos", "Eume", "Ferrol", "Fisterra", "Muros", "Noia", "O Sar", "Ordes", "Ortegal", "Santiago", "Terra de Melide",  "Terra de Soneira", "Xallas");
				$base = 0;
				break;
			case 2:
				$arrayComarcas = array("--", "A Paradanta" , "Caldas", "Deza", "O Baixo Mi&ntilde;o", "O Condado", "O Morrazo", "O Saln&eacute;s", "Pontevedra", "Tabeir&oacute;s-Terra de Montes", "Vigo");
				$base = 18;
				break;
			case 3:
				$arrayComarcas = array("--", "A Fonsagrada", "A Mari&ntilde;a Central", "A Mari&ntilde;a Occidental", "A Mari&ntilde;a Oriental", "A Ulloa", "Chantada", "Lugo", "Meira", "Os Ancares", "Quiroga", "Sarria", "Terra Ch&aacute;", "Terra de Lemos" );
				$base = 28;
				break;
			case 4:
				$arrayComarcas = array("--", "A Limia", "Allariz-Maceda", "Baixa Limia", "O Carballi&ntilde;o", "O Ribeiro", "Ourense", "Terra de Caldelas", "Terra de Celanova", "Terra de Trives", "Valdeorras", "Verin", "Viana" );
				$base = 41;
				break;
		}
		$numeroComarcas = count ($arrayComarcas);
    	for($i=1; $i<$numeroComarcas; $i++) {
			//abrimos el elemento opcion
			$menuHtml .= "<option ";
			//si esta definido el identificador y coincide con la opcion actual, la marcamos como seleccionada
			if ($comarca == ($i+$base)) {
      			$menuHtml .= "selected=\"selected\""; 
	  		}
		//anhadimos el identificador en value y text y cerramos el elemento opcion
		$menuHtml .= "value=\"".($i+$base)."\">".$arrayComarcas[$i]."</option>";
		}
	}
	//cerramos el menu de seleccion
	$menuHtml .= "</select>";
	return $menuHtml;
}
//-----CATEGORIAS----------------------
//-------------------------------------
function select_categoria ($content) {

	//recojemos los atributos de la funcion
	$att = getattributes($content);
	
	if (isset($att['texto'])) {
        $texto = $att['texto'];
    } else {
        $texto = "--";
    }
	//abrimos el menu de seleccion
	$menuHtml = "<select name=\"categorias\" id=\"categorias\">";
	//establecemos las opciones (categorias) que contendra en menu de seleccion
	$arrayCategorias = array ($texto, "Natureza", "Urbano-industrial", "Antropolox&iacute;a", "Sociedade-Pol&iacute;tica", "Hist&oacute;rico");
	//leemos el identificador de la categoria que le corresponde en los datos recojidos de la base de datos
	for ($i=0; $i<6; $i++) {
		//abrimos el elemento opcion
		$menuHtml .= "<option ";
		//si esta definido el identificador y coincide con la opcion actual, la marcamos como seleccionada
		if ( (isset($_POST['categorias'])) && ($_POST['categorias'] == $i) ) {
      		$menuHtml .= "selected=\"selected\""; 
	  	} elseif ( (isset($att['selecionado'])) && ($att['selecionado'] == $i) ) {
      			$menuHtml .= "selected=\"selected\""; 
	  	}
		//anhadimos el identificador en value y la categoria en text y cerramos el elemento opcion
		$menuHtml .= "value=\"".$i."\">&nbsp;".$arrayCategorias[$i]."&nbsp;&nbsp;</option>";
	}
	//cerramos el menu de seleccion
	$menuHtml .= "</select>";
	return $menuHtml;
}
//-----MAPA FORMULARIO-----------------
//-------------------------------------
function form_map($content) {
	//recojemos los atributos de la etiqueta, si estan definidos se los pasamos a sus correspondientes variables si no tomamos valores por defecto
	//ancho, alto, lat, long, zoom, clase, xml (buscasons)
	$att = getattributes($content);
	
	//ATRIBUTODS DE LA ETIQUETA-------------------
	if (!isset($att['ancho'])) {
        $ancho = 550;
    } else {
        $ancho = $att['ancho'];
    }
    if (!isset($att['alto'])) {
        $alto = 450;
    } else {
        $alto = $att['alto'];
    }
    //almacenamos en una variable la etiqueta html apropiada
    $mapDiv = "<div id=\"map\" style=\"width: ".$ancho."px; height: ".$alto."px\"></div>\n";
    
    //ATRIBUTODS DEL GOOHGLEMAP-------------------
    if (!isset($att['lat'])) {
        $lat = 42.23302960453305;
    } else {
        $lat = $att['lat'];
    }
    if (!isset($att['long'])) {
        $long = -8.72687816619873;
    } else {
        $long = $att['long'];
    }
	if (!isset($att['zoom'])) {
        $zoom = 8;
    } else {
        $zoom = $att['zoom'];
    }
	if (!isset($att['clase'])) {
        $clase = "G_MAP_TYPE";
    } else {
    	if ($att['clase'] == "g_hybrid_type") {
        	$clase = "G_HYBRID_TYPE";
    	} elseif ($att['clase'] == "g_satellite_type") {
        	$clase = "G_SATELLITE_TYPE";
    	} else {
        	$clase = "G_MAP_TYPE";
    	}
    }
    
    if (isset($_POST['commentpreview'])) {
    	if ($_POST['commentname'] != "") {
    	$long = trim(stripslashes($_POST['long'])); 
    	}
    	if ($_POST['lat'] != "") {
    	$lat = trim(stripslashes($_POST['lat']));
    	}
    	$message = trim(stripslashes($_POST['commentmessage'])); 
    	if ($_POST['commentname'] == "") {
    		$autor = "Anonymous";
    	} else { 
    		$autor = htmlentities(strip_tags($_POST['commentname']), ENT_QUOTES, "UTF-8");
    	}
    	$texto = "<div style='width:200px'>";
		//capa en la que situar el flashplayer
		$texto .= "<div id='player' style='margin-bottom: 5px;'></div>";		
		//contenido del comentario
		$texto .= "<span class='windowText'>".$message."</span><br>";
		$texto .= "<b class='windowBlack'>".$autor."</b>&nbsp;&nbsp;&nbsp;";
    	$web = strip_tags($_POST['commentweb']);
    	$webName = substr($web, 7);
    	if (strlen($webName)>4) {
			$texto .= "<a class='window' target='_blank' href='".$web."'>".$webName."</a>";
		}
    	$texto .= "<br><span class='windowRight'><b>as \" + fecha.getHours() + \":\" + fecha.getMinutes() + \"";
    	$texto .= " do \" + fecha.getDate() + \"-\" + fecha.getMonth() + \"-\" + (parseFloat(fecha.getYear()) + 1900) + \"</b></span><br>";
		$texto .= "</div>";
		
		$marker = "function createSimpleMarker(point, html) {
  		var marker = new GMarker(point);
  		GEvent.addListener(marker, 'click', function() {
		marker.openInfoWindowHtml(html);
  		});
  		return marker;
		}
		html = \"".$texto."\";
		
		// Add 1 simple markers in the map viewport. coordenadas
		var point = new GPoint(".$lat.",".$long.");
  		var marker = createSimpleMarker(point, html);
  		mapformulario.addOverlay(marker);
  		marker.openInfoWindowHtml(html);";
    } else {
    	$marker ="";
    }
    //almacenamos la fecha y la hora de envio en una variable javascript para mostrarlas en la ventana del marcador
    $date = "fecha = new Date();";
    //almacenamos en una variable el fragmento de script que genera el mapa
    $map = "// create the map
      var mapformulario = new GMap(document.getElementById(\"map\"));
      mapformulario.addControl(new GLargeMapControl());
      mapformulario.addControl(new GMapTypeControl());
      mapformulario.centerAndZoom(new GPoint(".$lat.",".$long."), ".$zoom.");
      mapformulario.setMapType(".$clase.");";
      
    //finalmente devolvemos la etiqueta y el script completo que genera el mapa
	$mapScript = $mapDiv."
	<script type=\"text/javascript\">
    //<![CDATA[
    ".$date."
    if (GBrowserIsCompatible()) {
    	".$map."
    	GEvent.addListener(mapformulario, \"click\", function(overlay, point){
    		mapformulario.clearOverlays();
    		if (point) {
    			mapformulario.addOverlay(new GMarker(point));
    			mapformulario.recenterOrPanToLatLng(point);
    			document.forms[0].lat.value = point.x;
    			document.forms[0].long.value = point.y;
    		}
    	});
    	".$marker."
    } else {
      alert(\"Sorry, the Google Maps API is not compatible with this browser\");
    }
    //]]>
    </script>";
    return $mapScript;
}
//-------------------------------------
//--------------------------------------------------------------------
//  COMMENTING TAGS
//-------------------------------------------------------------------- 

//-------------------------------------

function area_comments2 ($content) {
//only parse this area if comment stuff is to be shown
global $settings;
global $currentid;
global $postings;
global $tempfilename;

$tempfilename = "";
$return = "";
$freshfile = false;

//before we show stuff, we have to handle data from post or save things in database and so on...


//check if there is a new uploadad file and make a shorter meta data variable
if ((isset($_FILES['commentfile'])) 
    AND ($_FILES['commentfile']['error'] == "0")) {
    $freshfile = $_FILES['commentfile'];
}

//We are only previewing?
if (isset($_POST['commentpreview'])) {

    //add http:// to previewed urls
    if (substr($_POST['commentweb'],0,4) != "http") {
        $_POST['commentweb'] = "http://".$_POST['commentweb'];
    }

    //a new posted file has the highest priority
    if (($freshfile != false)
        AND (checksuffix($freshfile['name']))
        AND ($freshfile['size'] <= $postings[$currentid]['comment_size'])) 
    {
       	$tempfilename = freshaudioname(strrchr($freshfile['name'], "."), "temp"); 
       	//put the uploaded file into the desired directory
       	move_uploaded_file($freshfile['tmp_name'], 
       		$GLOBALS['audiopath'].$tempfilename) 
       	OR die ("<p>Error!</p>");
        
       	//change the chmod
       	chmod ($GLOBALS['audiopath'].$tempfilename, 0777);
    } 
    else 
    {
        //put previously uploaded file through to another preview
        if (isset($_POST['filethrough'])) 
        {
            $tempfilename = $_POST['filethrough'];
        }
        if ($freshfile['size'] > $postings[$currentid]['comment_size'])
        {
        	die("<p>Sorry! The file size of your audio comment is too big.<p>");
        }
    }
}

//oh, we are submitting? It's getting serious!
if (isset($_POST['commentsubmit'])) { 

    //in dubio contra audio
    $audioexists = false;

    //do a lot of things, if we have got a new uploaded file
    if (($freshfile != false)
            AND (checksuffix($freshfile['name']))) {
        $filename = freshaudioname (strrchr($freshfile['name'], "."), "comment"); 
    
        //put the uploaded file into the desired directory
        move_uploaded_file($freshfile['tmp_name'], $GLOBALS['audiopath'].$filename) 
            OR die ("<p>Error!</p>");
        $audioexists = true;

    //but we can take the previewed audio file, too...
    } else {
        if (isset($_POST['filethrough'])) {
            //rename audio file and get audio meta data
            $tempfilename = $_POST['filethrough'];
            $filename = freshaudioname (strrchr($tempfilename, "."), "comment"); 
            rename($GLOBALS['audiopath'].$tempfilename, $GLOBALS['audiopath'].$filename) 
                OR die ("<p>Error!</p>");
            $audioexists = true;
        }
    }

    //there is an audio file?
    if ($audioexists) {
        //get metadata from getid3-class
        $id3 = getid3data($GLOBALS['audiopath'].$filename,"front");
    } else {
        //make empty values for audio data (cause we dont have audio data)
        $filename = "";
        $id3['duration'] = "0:00";
        $id3['size'] = 0; 
    }

    //prepare non-audio data
    if ($_POST['commentname'] == "") { $name = "Anonymous"; } 
        else { $name = htmlentities(strip_tags($_POST['commentname']), ENT_QUOTES, "UTF-8"); }    
    $mail = strip_tags($_POST['commentmail']);
    $web = strip_tags($_POST['commentweb']);    
    $ip = $_SERVER['REMOTE_ADDR'];
    $message_input = change_entities($_POST['commentmessage']);
    $message_html = trim(no_amp(makehtml(htmlentities($_POST['commentmessage'], ENT_QUOTES, "UTF-8"))));
	$latitud = $_POST['lat'];
    $longitud = $_POST['long'];
    $hora = $_POST['horas'];
    $cuarto = $_POST['cuartos'];
    $hora_rec = $hora.":".$cuarto;
    $dia_rec = $_POST['dias'];
    $mes_rec = $_POST['meses'];
    $anho_rec = $_POST['anhos'];
    $provincia = $_POST['provincias'];
    $comarca = $_POST['comarcas'];
    $categoria = $_POST['categorias'];
    $fecha_rec = $anho_rec."-".$mes_rec."-".$dia_rec;
    $message_html .= "latitud: ".$latitud."\nlongitud: ".$longitud."\nHora: ".$hora_rec."\nfecha: ".$fecha_rec;
    //write data into database (doesn't matter, with or without audio)
    $dosql = "INSERT INTO {$GLOBALS['prefix']}lb_comments
             (posting_id, posted, name, mail, web, ip, message_input, message_html,
            audio_file, audio_type, audio_length, audio_size, longitud, latitud, hora_rec, data_rec, idprovincia, idcomarca, idcategoria, validado)
            VALUES
            ('".$currentid."', '".date('Y-m-d H:i:s')."', '".$name."', '".$mail."', '".$web."', '".$ip."', 
            '".$message_input."', '".$message_html."', '".$filename."', '".type_suffix($filename)."', 
            '".getseconds($id3['duration'])."', '".$id3['size']."', '".$longitud."', '".$latitud."',
            '".$hora_rec."', '".$fecha_rec."', '".$provincia."', '".$comarca."', '".$categoria."', '1');";
    $GLOBALS['lbdata']->Execute($dosql);
    
    //sending an email to author of the posting
    notify ($postings[$currentid], $name, $mail, $web, $message_html);
    
    //looking for orphaned comments
    deleteorphans();
    
}
//submitting actions are finished. thank you for your attention.

//do we show comments at all?
if ((isset($_GET['id'])) AND ($postings[$currentid]['comment_on'] == 1)) {
    $return .= "<div id=\"comments\">\n";
    $return .= fullparse (stripcontainer($content));
    $return .= "\n</div>";
} else { $return = ""; }

return $return;
}

//--------------------------------------------------------------------
//  DB tags
//-------------------------------------------------------------------- 

//-------------------------------------

function countvalidados ($request) {
//count rows of a certain table in database

$dosql = "SELECT COUNT(*) FROM ".$GLOBALS['prefix'].$request."WERE validado = 1";
$row = $GLOBALS['lbdata']->GetArray($dosql);
return $row[0]['COUNT(*)'];
}


//--------------------------------------------------------------------
//  CONDITIONAL TAGS (THOSE WITH "IF")
//-------------------------------------------------------------------- 
//-------------------------------------
function if_id ($content) {
	//parse content only if a (certain) category or no category is being shown

	$att = getattributes($content);
	$return = "";

	//checking the url for a category list request
	if ((isset($_GET['id'])) && ($_GET['id']==$att['identificador'])) {
        $return = fullparse (stripcontainer($content));
    }
return trim($return);
}
function if_notid ($content) {
	//parse content only if a (certain) category or no category is being shown

	$att = getattributes($content);
	$return = "";

	//checking the url for a category list request
	if ((isset($_GET['id'])) && ($_GET['id']==$att['identificador'])) {
        $return = "";
    } else {
    	$return = fullparse (stripcontainer($content));
    }
return trim($return);
}
//-------------------------------------
?>